/**
 * BMUPruefBibliothek
 * $Author: srossbroich $ $Date: 2024-02-06 14:29:28 +0000 (Tue, 06 Feb 2024) $ $Rev: 1787 $
 * Copyright 2012 by Consist ITU Environmental Software GmbH
 */
package de.consist.bmu.rule;

import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

import de.consist.bmu.rule.impl.RuleResultImpl;


/**
 * Interface fuer ein einzelnes Pruefergebnis.
 */
@XmlJavaTypeAdapter(RuleResultImpl.Adapter.class)
public interface RuleResult {
    /**
     * @return Die Regeldefinition der Pruefung
     */
    RuleDef getRuleDef();

    /**
     * @return int
     */
    int getIndex();
    
    /**
     * @return Die kontextspezifische Meldung der Pruefung 
     */
    String getMessage();
}
