package de.consist.bmu.rule;

import java.io.IOException;
import java.util.Properties;

/**
 * Version.
 */
public final class Version {
    private static final String VERSIONPROPFILE = "/BMUPruefBibliothek_version.properties";
    private static final String PROP_MAJORVERSION = "majorVersion";
    private static final String PROP_MINORVERSION = "minorVersion";
    private static final String PROP_REVISIONNUMBER = "revisionNumber";
    
    private static String _majorVersion;
    private static String _minorVersion;
    private static String _revisionNumber;
    
    static {
        Properties props = new Properties();
        try {
            props.load(Version.class.getResourceAsStream(VERSIONPROPFILE));
            _majorVersion = props.getProperty(PROP_MAJORVERSION);
            _minorVersion = props.getProperty(PROP_MINORVERSION);
            _revisionNumber = props.getProperty(PROP_REVISIONNUMBER);
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
    
    private Version() { }
    
    /**
     * @return Die Version.
     */
    public static String getVersion() {
        return _majorVersion + "." + _minorVersion + "." + _revisionNumber;
    }
}
