package de.consist.bmu.rule.config.schema.fxs;

import java.util.List;

import de.consist.bmu.rule.BMUVersion;

public class FXSConfigDefault {
//	private static final Log LOGGER = LogFactory.getLog(FXSConfigDefault.class);
	private static FXSConfig _fxsConfig = null;
	
	static {
		_fxsConfig = new FXSConfig();
		_fxsConfig.setId("FXSCONFIG_ID01");
		_fxsConfig.setName("FXSConfigDefault");
		_fxsConfig.setVersion(BMUVersion.V104.getVersion());
		FXSSCHEMATYPE fxsSchemaType = new FXSSCHEMATYPE();
		fxsSchemaType.setId(1L);
		fxsSchemaType.setLocation("schema/FXS/AbfAEV/FreieXMLStruktur-AbfAEV.xsd");
		fxsSchemaType.setNSUri("uri:AnzeigeErlaubnis/AbfAEV");
		fxsSchemaType.setPrefix("abfaev");
		_fxsConfig.getFXSSchema().add(fxsSchemaType);
		fxsSchemaType = new FXSSCHEMATYPE();
		fxsSchemaType.setId(2L);
		fxsSchemaType.setLocation("schema/FXS/AbfAEV/Kopie_TypBibliothek.xsd");
		fxsSchemaType.setNSUri("uri:AnzeigeErlaubnis/Kopie_TypBibliothek");
		fxsSchemaType.setPrefix("aevlib");
		_fxsConfig.getFXSSchema().add(fxsSchemaType);
		fxsSchemaType = new FXSSCHEMATYPE();
		fxsSchemaType.setId(3L);
		fxsSchemaType.setLocation("schema/FXS/AbfAEV/Kopie_Kataloge.xsd");
		fxsSchemaType.setNSUri("uri:AnzeigeErlaubnis/Kopie_Kataloge");
		fxsSchemaType.setPrefix("aevcat");
		_fxsConfig.getFXSSchema().add(fxsSchemaType);
		fxsSchemaType = new FXSSCHEMATYPE();
		fxsSchemaType.setId(4L);
		fxsSchemaType.setLocation("schema/FXS/ErzStamm/FreieXMLStrukturErzStamm.xsd");
		fxsSchemaType.setNSUri("uri:ErzeugerStammdaten/ErzStamm");
		fxsSchemaType.setPrefix("erzst");
		_fxsConfig.getFXSSchema().add(fxsSchemaType);
		fxsSchemaType = new FXSSCHEMATYPE();
		fxsSchemaType.setId(5L);
		fxsSchemaType.setLocation("schema/FXS/AbfAEV/Kopie_TypBibliothek.xsd");
		fxsSchemaType.setNSUri("uri:ErzeugerStammdaten/ErzStammTypBibliothek");
		fxsSchemaType.setPrefix("eslib");
		_fxsConfig.getFXSSchema().add(fxsSchemaType);
		fxsSchemaType = new FXSSCHEMATYPE();
		fxsSchemaType.setId(6L);
		fxsSchemaType.setLocation("schema/FXS/AbfAEV/Kopie_Kataloge.xsd");
		fxsSchemaType.setNSUri("uri:ErzeugerStammdaten/ErzStammKataloge");
		fxsSchemaType.setPrefix("escat");
		_fxsConfig.getFXSSchema().add(fxsSchemaType);
		FXSTYPE fxsType = new FXSTYPE();
		fxsType.setId("ANZ");
		fxsType.setName("FXS Anzeige");
		fxsType.setVersion(BMUVersion.V104.getVersion());
		fxsType.setSchemaID(1L);
		fxsType.getDokNrXPath().add("/descendant::abfaev:Vorgangsnummer[parent::abfaev:Vorgangsnummer]");
		fxsType.getDokNrXPath().add("/msg:Nachricht/@msg:MsgUUID");
		List<String> rootNames = fxsType.getRootElementName();
		rootNames.add("Anzeige");
		rootNames.add("AnzeigeUnterlagen");
		_fxsConfig.getFXS().add(fxsType);
		fxsType = new FXSTYPE();
		fxsType.setId("ERL");
		fxsType.setName("FXS Erlaubnis");
		fxsType.setVersion(BMUVersion.V104.getVersion());
		fxsType.setSchemaID(1L);
		fxsType.getDokNrXPath().add("/descendant::abfaev:Vorgangsnummer[parent::abfaev:Vorgangsnummer]");
		fxsType.getDokNrXPath().add("/msg:Nachricht/@msg:MsgUUID");
		rootNames = fxsType.getRootElementName();
		rootNames.add("ErlaubnisAntrag");
		rootNames.add("ErlaubnisUnterlagen");
		_fxsConfig.getFXS().add(fxsType);
		fxsType = new FXSTYPE();
		fxsType.setId("ARA");
		fxsType.setName("FXS AsysRueckantwort");
		fxsType.setVersion(BMUVersion.V104.getVersion());
		fxsType.setSchemaID(1L);
		fxsType.getDokNrXPath().add("/descendant::abfaev:Vorgangsnummer[parent::abfaev:Vorgangsnummer]");
		fxsType.getDokNrXPath().add("/msg:Nachricht/@msg:MsgUUID");
		rootNames = fxsType.getRootElementName();
		rootNames.add("AsysRueckantwort");
		_fxsConfig.getFXS().add(fxsType);
		fxsType = new FXSTYPE();
		fxsType.setId("ERZ");
		fxsType.setName("FXS Erzeuger");
		fxsType.setVersion(BMUVersion.V104.getVersion());
		fxsType.setSchemaID(4L);
		fxsType.getDokNrXPath().add("/descendant::erzst:Aktenzeichen");
		fxsType.getDokNrXPath().add("/msg:Nachricht/@msg:MsgUUID");
		rootNames = fxsType.getRootElementName();
		rootNames.add("Erzeuger");
		_fxsConfig.getFXS().add(fxsType);
//		try {
//			File f = File.createTempFile("FXSConfig_", ".xml");
//			RuleFactory.getInstance().saveFXSConfig(new FileOutputStream(f), _fxsConfig);
//			LOGGER.debug("FXS-Config saved to file: " + f.getAbsolutePath());
//			
//		} catch (Exception e) {
//			LOGGER.error("Error writing FXS-Config-File", e);
//		}
	}

	public static FXSConfig getFXSConfig() {
		return _fxsConfig;
	}
	
}
