/**
 * BMUPruefBibliothek
 * $Author: jannighoefer $ $Date: 2012-03-05 15:49:11 +0000 (Mon, 05 Mar 2012) $ $Rev: 807 $
 * Copyright 2012 by Consist ITU Environmental Software GmbH
 */
package de.consist.bmu.rule.schema;

import java.io.InputStream;
import java.io.Reader;

import org.w3c.dom.ls.LSInput;

/**
 * Implementation von LSInput f&uuml;r die Benutzung mit SchemaResourceResolver.
 * Implementiert nur get/setBaseURI und get/setByteStream.
 * 
 * @author srossbroich
 * 
 */
public class LSInputImpl implements LSInput {

    /** InputStream. */
    private InputStream _inputStream;

    /** baseURI als String. */
    private String _baseURI;

    /**
     * Getter f&uuml;r baseURI.
     * 
     * @return baseURI
     */
    public final String getBaseURI() {
        return this._baseURI;
    }

    /**
     * Getter f&uuml;r inputStream.
     * 
     * @return inputStream
     */
    public final InputStream getByteStream() {
        return this._inputStream;
    }

    /**
     * Getter f&uuml;r CertifiedText.
     * 
     * @return CertifiedText CertifiedText
     */
    public final boolean getCertifiedText() {
        return false;
    }

    /**
     * Getter f&uuml;r CharacterStream.
     * 
     * @return CharacterStream CharacterStream
     */
    public final Reader getCharacterStream() {
        return null;
    }

    /**
     * Getter f&uuml;r Encoding.
     * 
     * @return Encoding Encoding
     */
    public final String getEncoding() {
        return null;
    }

    /**
     * Getter f&uuml;r PublicId.
     * 
     * @return PublicId PublicId
     */
    public final String getPublicId() {
        return null;
    }

    /**
     * Getter f&uuml;r StringData.
     * 
     * @return StringData StringData
     */
    public final String getStringData() {
        return null;
    }

    /**
     * Getter f&uuml;r SystemId.
     * 
     * @return getSystemId getSystemId
     */
    public final String getSystemId() {
        return null;
    }

    /**
     * Setter f&uuml;r BaseURI.
     * 
     * @param arg0
     *            baseURI
     */
    public final void setBaseURI(final String arg0) {
        this._baseURI = arg0;
    }

    /**
     * Setter f&uuml;r ByteStream.
     * 
     * @param arg0
     *            ByteStream
     */
    public final void setByteStream(final InputStream arg0) {
        this._inputStream = arg0;
    }

    /**
     * Setter f&uuml;r CertifiedText.
     * 
     * @param arg0
     *            CertifiedText
     */
    public void setCertifiedText(final boolean arg0) {

    }

    /**
     * Setter f&uuml;r CharacterStream.
     * 
     * @param arg0
     *            CharacterStream
     */
    public void setCharacterStream(final Reader arg0) {

    }

    /**
     * Setter v Encoding.
     * 
     * @param arg0
     *            Encoding
     */
    public void setEncoding(final String arg0) {

    }

    /**
     * Setter f&uuml;r PublicId.
     * 
     * @param arg0
     *            PublicId
     */
    public void setPublicId(final String arg0) {

    }

    /**
     * Setter f&uuml;r StringData.
     * 
     * @param arg0
     *            StringData
     */
    public void setStringData(final String arg0) {

    }

    /**
     * Setter f&uuml;r SystemId.
     * 
     * @param arg0
     *            SystemId
     */
    public void setSystemId(final String arg0) {

    }

}
